:root {
  --text-bg-color: rgba(0,0,0,0.02);
}

html, body {
  margin: 1em;
}

#placeholder {
  position: relative;
  display: inline-block;
}

#copy_alert, #tooltip, #placeholder_text {
  display: inline;
}

#copy_alert, #tooltip {
  position: absolute;
  white-space: nowrap;
  left: 100%;
  top: -50%;
  opacity: 0;
  transition: visibility 0s linear 300ms, opacity 300ms;
}

p, #placeholder_text, #tooltip, #copy_alert {
  --margin-TB: 0.5em;
  --margin-LR: 0.125em;  
  margin-top: var(--margin-TB);
  margin-bottom: var(--margin-TB);
  margin-left: var(--margin-LR);
  margin-right: var(--margin-LR);
  padding: 0.25em;
  border-radius: 0.25em;
  background-color: var(--text-bg-color);
}



#placeholder[recently_copied=true]>#copy_alert, #placeholder[recently_copied=false]:hover>#tooltip {
  opacity: 1;
  transition: visibility 0s linear 0s, opacity 300ms;
}

#tooltip::after {
  content: "Click to copy url";
}

#copy_alert::after {
  content: "Copied!";
}